/***********************************************************************
 <keydcode.h.h>
		hCoL[R[h
***********************************************************************/

#ifndef _KEYDCODE_H_INCLUDED

typedef UCHAR	DKEYCODE; 

/* 0x00-0x0f */
#define _OKM_NULL			0x00		/* _~[L[R[h */
#define _OKM_OFF			0x01		/* OFF */
#define _OKM_ON				0x02		/* ON */
#define _OKM_BREAK			0x03		/* f */
#define _OKM_BS				0x08		/*  */
#define _OKM_TAB			0x09		/* ^u */
#define _OKM_CR				0x0d		/* s */
#define _OKM_ESC			0x1b		/* ESC */
#define _OKM_RIGHT			0x1c		/* E */
#define _OKM_LEFT			0x1d		/*  */
#define _OKM_UP				0x1e		/*  */
#define _OKM_DOWN			0x1f		/*  */

/* 0x20-0x2f */
#define _OKM_SPACE			0x20
#define _OKM_COMMA			0x2c		/* , */
#define _OKM_MINUS			0x2d		/* - */
#define _OKM_PERIOD			0x2e		/* . */
#define _OKM_SLASH			0x2f		/* / */

/* 0x30-0x3f */
#define _OKM_0				0x30
#define _OKM_1				0x31
#define _OKM_2				0x32
#define _OKM_3				0x33
#define _OKM_4				0x34
#define _OKM_5				0x35
#define _OKM_6				0x36
#define _OKM_7				0x37
#define _OKM_8				0x38
#define _OKM_9				0x39
#define _OKM_COLON			0x3a
#define _OKM_SEMICOLON		0x3b
#define _OKM_A				0x41
#define _OKM_B				0x42
#define _OKM_C				0x43
#define _OKM_D				0x44
#define _OKM_E				0x45
#define _OKM_F				0x46
#define _OKM_G				0x47
#define _OKM_H				0x48
#define _OKM_I				0x49
#define _OKM_J				0x4a
#define _OKM_K				0x4b
#define _OKM_L				0x4c
#define _OKM_M				0x4d
#define _OKM_N				0x4e
#define _OKM_O				0x4f

/* 0x50-0x5f */
#define _OKM_P				0x50
#define _OKM_Q				0x51
#define _OKM_R				0x52
#define _OKM_S				0x53
#define _OKM_T				0x54
#define _OKM_U				0x55
#define _OKM_V				0x56
#define _OKM_W				0x57
#define _OKM_X				0x58
#define _OKM_Y				0x59
#define _OKM_Z				0x5a
#define _OKM_RECV_MAIL		0x62		/* [M */
#define _OKM_SEND_MAIL		0x63		/* [M */
#define _OKM_BACK			0x64		/* ߂ */
#define _OKM_HIRA_KANA		0x66		/* Ђ^Ji */
#define _OKM_MENU			0x67		/* j[ */
#define _OKM_INPUT			0x68		/* VK */
#define _OKM_GO_NEXT		0x69		/*  */
#define _OKM_GO_PREV		0x6a		/* t */
#define _OKM_CONTROL		0x6d		/* Rg[ */
#define _OKM_SHIFT_LEFT		0x6e		/* Vtg */
#define _OKM_SHIFT_RIGHT	0x6f		/* EVtg */

/* 0x70-0x7f */
#define _OKM_SYMBOL			0x70		/* L */
#define _OKM_CAPS			0x71		/* CAPS */
#define _OKM_HANKAKU        0x72		/* p */
#define _OKM_HIRA			0x73		/* Ђ */
#define _OKM_KANA			0x74		/*  */
#define _OKM_ALPHNUM		0x75		/* p */
#define _OKM_FUNC			0x76		/* @\ */
#define _OKM_ONKUN			0x77		/* P */
#define _OKM_PREV			0x78		/* O */
#define _OKM_XFER			0x79		/* ϊ */
#define _OKM_UNDO			0x7a		/*  */
#define _OKM_APLY			0x7b		/* ̗p */
#define _OKM_ENTER			0x7c		/*  */
#define _OKM_DECIDE			0x7d		/*  */
#define	_OKM_CANCEL			0x7e		/* LZ */
#define _OKM_DEL			0x7f		/* 폜 */


#define _KEYDCODE_H_INCLUDED
#endif

