/*
 * @(#) t@CFzaurusutil.c    
 *    @  \FUEXmorẽ[eBeB֐Q
 *
 *              ̊֐`ĂB
 *              
 *     TmpAlert        ꎞA[g\s
 *     KakuninAlert    mF{^tA[g\s
 *
 */

#include <zheaders.h>
#include "zaurusutil.h"

/* ꎞA[g\ */
void TmpAlert(char* str)
{
  MESSAGE LocalMessage;

  AlertExecStr(&LocalMessage,(UCHAR *)str, CENTER, ALB_OPEN_SOUND_CAUTION);
}

/* mFA[g\ {^Cxg ??? */
void KakuninAlert(char* str)
{
  MESSAGE LocalMessage;

  AlertExecStr( &LocalMessage,  (UCHAR *)str,  CENTER,  
				KAKUNIN_BTN | ALB_OPEN_SOUND_CAUTION | ALB_BTN_RIGHT_SIDE);
}

#define DUMPMAX 1024
/* e\,mF{^oǂwł */
void MemDump (char* adr, int length, int needbtn)
{
  char buffer[DUMPMAX*3];
  int i,n,j;
  unsigned char* ptr, *fp; 

  if (length > DUMPMAX){
        TmpAlert("dump length TOO BIG");
        return;
  }
  memset(buffer,0,DUMPMAX*3);
  ptr = adr;
  fp = buffer;
  for (i=0; i<length; i+=16){
        sprintf(fp,
  "%8x %02x%02x%02x%02x %02x%02x%02x%02x %02x%02x%02x%02x %02x%02x%02x%02x\r",
				adr+i, ptr[i],ptr[i+1],ptr[i+2],ptr[i+3],
				ptr[i+4],ptr[i+5],ptr[i+6],ptr[i+7],
				ptr[i+8],ptr[i+9],ptr[i+10],ptr[i+11],
				ptr[i+12],ptr[i+13],ptr[i+14],ptr[i+15]);
        fp = buffer + strlen(buffer);
  }
  
  if (needbtn) KakuninAlert(buffer);
  else TmpAlert(buffer);
}

/* ϐl\,mF{^oǂwł */
void ValDump (char* name, int value, int needbtn)
{
  char buffer[64];

  memset(buffer,0,64);
  sprintf(buffer,"%s=0x%x(%d)",name,value,value);

  if (needbtn)  KakuninAlert(buffer);
  else TmpAlert(buffer);
}

/* AvI */
void MoreEnd(MESSAGE *Message)
{
  Message->CommonMsg.MessageID = AppliProcEndReqID;
  Message->AppliProcEndReq.AplFilter = AF_THIS_APPLI;
}

/* outԂ̃Avւ̐ؑւs */
void ExecApl(MESSAGE *Message, APLID apl) /* apl='ZWWW' */
{
  Message->CommonMsg.MessageID = AppliStartupReqID;
  Message->AppliStartupReq.StartCondition = APPLI_NORMAL_START;
  Message->AppliStartupReq.ExecCondition = APPLI_NORMAL_EXEC;
  Message->AppliStartupReq.ExecAppliName = apl;
}

/* vZXNĂȂmoreAvւ̐ؑւs */
void SwitchMore(MESSAGE *Message, char *aplname) /* aplname="F0:ZOCR.APL" */
{
  Message->CommonMsg.MessageID = AppliProcStartReqID;
  strcpy((char*)Message->AppliProcStartReq.AplHFName,aplname);
  Message->AppliProcStartReq.IsStartAndExec = true;
}
